<?php

namespace otorisan;

use pocketmine\plugin\PluginBase;
use pocketmine\event\Listener;

use pocketmine\Player;
use pocketmine\level\Level;
use pocketmine\math\Vector3;
use pocketmine\level\Position;

use pocketmine\event\player\PlayerJoinEvent;
use pocketmine\event\player\PlayerQuitEvent;

use pocketmine\scheduler\Task;

use taskapi\Plan;

class Main extends PluginBase implements Listener {

    function onEnable() {
        //Planの登録
        Plan::register($this);
        $this->getServer()->getPluginManager()->registerEvents($this, $this);
    }

    function onJoin(PlayerJoinEvent $event) {
        $player = $event->getPlayer();

        //TestTipというタスクを開始
        Plan::repeat("TestTip", [$player, $this]);
    }

    function onQuit(PlayerQuitEvent $event) {
        $player = $event->getPlayer();

        //TestTipというタスクを終了
        Plan::stop("TestTip");
    }

}

//ここからタスク

class TestTip extends Task
{
    function __construct($player, $owner)
    {
        $this->p = $player;
        $this->owner = $owner;
    }

    function onRun(int $t)
    {
        //Tipメッセージを送信し続ける
        $this->p->sendTip("Hello World");
    }
}